cancel
Showing results for 
Search instead for 
Did you mean: 

Wi-Fi Bluetooth for Linux

thefloppydriver
New Contributor II

Hi, I've looked all around this site and seen that to request the mfg firmware I would need to open a MyCases technical support case and request it there. I cannot do this because there is no option to create a technical support case so I am requesting a link to the mfg firmware.

The output of uname -a is:

Linux raspberrypi 5.10.74-v8+ #1 SMP PREEMPT Tue Oct 19 00:20:12 EDT 2021 aarch64 GNU/Linux

the output of sudo ./wl ver is:

./wl: /lib/aarch64-linux-gnu/libnl-3.so.200: no version information available (required by ./wl)
./wl: /lib/aarch64-linux-gnu/libnl-genl-3.so.200: no version information available (required by ./wl)
1.28 RC0.0
wl0: Jan 4 2021 19:56:29 version 7.45.229 (617f1f5 CY) FWID 01-2dbd9d2e

the output of sudo ./wl tsf (and various other commands) is:

./wl: /lib/aarch64-linux-gnu/libnl-3.so.200: no version information available (required by ./wl)
./wl: /lib/aarch64-linux-gnu/libnl-genl-3.so.200: no version information available (required by ./wl)
./wl: error -23

@raks_99 Please respond ASAP, thank you!

0 Likes
1 Solution
18 Replies
raks_99
Moderator
Moderator

Hi Floppy,

 

I shared the Firmware and tool in the case.

Thanks

thefloppydriver
New Contributor II

One more question, will these work in place of the bcrmfmac43455-sdio files in the /lib/firmware/bcrm directory?

0 Likes
raks_99
Moderator
Moderator

Yes it will work. Create a backup copy of the existing firmware. Replace the existing firmware in the folder with mfg test firmware by renaming the "cyfmac43455-sdio.bin" file to "brcmfmac43455-sdio.bin" After this, reload the brcmfmac.ko file and you should see the new firmware loaded onto the radio.

Thanks

0 Likes
thefloppydriver
New Contributor II

The command sudo ./wl64 ver now prints out the following:

1.28 RC0.0
wl0: Apr 15 2021 03:04:08 version 7.45.234 (4ca95bb CY WLTEST) FWID 01-67595eaa

but now I have a new error. The command ./wl64 tsf prints out

./wl64: error -23

 


What does this error code mean and how can I fix it?

0 Likes
raks_99
Moderator
Moderator

It seems that "wl tsf" is not a valid supported command.I see the same error on my setup. I need to check the usage of this, Could you tell why you are trying to use this command? 

0 Likes
thefloppydriver
New Contributor II

Sure thing. I'm working on a project that required me to export one of the system's ap's tsf through mac80211's "get_tsf" variable. Do you know which register stores the NIC's tsf value for this card? 

0 Likes
raks_99
Moderator
Moderator

Ok, let me check. I see this command is listed in the wl help as well (wl -h | grep tsf). I will check and get back. Thanks

thefloppydriver
New Contributor II

Whoa thanks!! I'll be watching the thread for updates!

0 Likes
raks_99
Moderator
Moderator

Hi @thefloppydriver , 

I'm waiting for the internal team to update me about this. I will update you on the progress again within the next two days.

Thanks

0 Likes
raks_99
Moderator
Moderator

Hi @thefloppydriver ,

Thanks for your patience. The tsf command is disabled on the production variant of the firmware and is available only on debug variants of the firmware. I am not sure why this was disabled. If it is a hard requirement then you can create a mycases ticket and request the feature.

Thanks

0 Likes
thefloppydriver
New Contributor II

Thanks for checking it out for me! Ya I figured as much, I've been through all of the kernel regarding the tool.

0 Likes
QumJo
New Contributor

Would you mind sharing with me too?

We are using AM3358/TI and a Linux based system.

grep | dmesg brcm 

gives me:

[    4.831815] brcmfmac: brcmf_fw_alloc_request: using cypress/cyfmac43430-sdio for chip BCM43430/1
[    4.961044] brcmfmac: brcmf_c_preinit_dcmds: Firmware: BCM43430/1 wl0: Mar 30 2021 01:12:21 version 7.45.98.118 (7d96287 CY) FWID 01-32059766

and

uname -a

gives me:

Linux whatever 5.10.9-00027-gd2f795aa520 #318 SMP Mon Nov 15 21:57:49 UTC 2021 armv7l GNU/Linux

we are running a custom kernel build based on 5.10

0 Likes
QumJo
New Contributor

Hi @raks_99 

thanks. I am looking for the manufacturing test firmware though. Plus the am3358 is 32bit.

0 Likes